> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Deposit

> Execute a deposit operation



## OpenAPI

````yaml /openapi/kamino.json post /v0/lending/reserve/{market}/{reserve}/deposit
openapi: 3.1.1
info:
  title: Kamino Blinks API
  version: 0.0.1
servers:
  - url: https://kamino.dial.to/api
security: []
paths:
  /v0/lending/reserve/{market}/{reserve}/deposit:
    post:
      tags:
        - Borrow
      summary: Deposit
      description: Execute a deposit operation
      operationId: kamino.v0.lending.lendingReserveDeposit
      parameters:
        - name: market
          in: path
          required: true
          schema:
            type: string
            description: Market public key
            default: 7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF
        - name: reserve
          in: path
          required: true
          schema:
            type: string
            description: Reserve public key
            default: d4A2prbA2whesmvHaL88BH6Ewn5N4bTSU2Ze8P6Bc4Q
        - name: percentage
          in: query
          schema:
            type: integer
            minimum: 0
            maximum: 100
            description: The percentage of funds to use
            default: 10
          allowEmptyValue: true
          allowReserved: true
        - name: amount
          in: query
          schema:
            type: number
            minimum: 0
            description: The amount to use. Human readable value, e.g. 0.1 SOL
          allowEmptyValue: true
          allowReserved: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                  links:
                    type: object
                    properties:
                      next:
                        type: object
                        properties:
                          type:
                            type: string
                          href:
                            type: string
                        required:
                          - type
                          - href
                    required:
                      - next
                  dialectExperimental:
                    type: object
                    properties:
                      reference:
                        type: string
                required:
                  - type
                  - transaction

````